EDIT - bug #6062

NPE in RefencingObjects for TaxonNameDescription
09/09/2016 02:05 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

Currently the referencing objects view offers "Open in bulk editor" for objects of type TaxonNameDescription (created e.g. if a name
has a protologue).

Trying to open the object this way creates an NPE.

login : admin
editor version : 4.3.0.201609080950
server : test.e-taxonomy.eu / edit-test
schema version : 4.0.0.0.201604200000
os : Windows Server 2012 6.2 amd64
java : 1.7.0_65
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInputType.getInput (BulkEditorInputType. ja
va:136)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.NewInstance (AbstractBulkEdi
torInput.java:74)

at eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput.NewInstance (AbstractBulkEdi
torInput. java:88)

at eu.etaxonomy.taxeditor.bulkeditor.BulkEditorUtil.openEditor (BulkEditorUtil. java:67)

at eu.etaxonomy.taxeditor.bulkeditor.handler.defaultHandler.OpenBulkEditorForIdentifiableEntit
y.open (OpenBulkEditorForIdentifiableEntity. java:24)

at eu.etaxonomy.taxeditor.bulkeditor.handler.defaultHandler.OpenBulkEditorForIdentifiableEntit
y.open (OpenBulkEditorForIdentifiableEntity. java:l)

at eu.etaxonomy.taxeditor.handler.defaultHandler.DefaultOpenHandlerBase.execute (DefaultOpenHan
dlerBase. java:30)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.java:169)

at eu.etaxonomy.taxeditor.view.CdmViewerContextMenu$CommandInvoker.widgetSelected (CdmViewerCon
textMenu. java:109)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)

Associated revisions

Revision f3fb72fd - 09/14/2016 07:11 AM - Patrick Plitzner
fix #6062 Add property tester for "Open in..." bulk editor menu items

e moved isGroupEditor property test to bulk editor plugin

History

#1 - 09/09/2016 02:14 PM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Release 4.3

- Found in Version deleted (Release 4.3)

Found in nightly build 4.3.

Please check also for other types. | checked HomotypicalGroups and it was ok. For Taxon and TaxonName it is also ok as they offer bulk editors.
Also for Teams it works, while TaxonDescriptions have the same problem as TaxonNameDescriptions.

TaxonNodes generally work but trying to open the ChecklistEditor throws an exception (see below):

login : admin
editor version : 4.3.0.201609080950
server : test.e-taxonomy.eu / edit-test
schema version : 4.0.0.0.201604200000
os : Windows Server 2012 6.2 amd64
Java : 1.7.0_65
org.eclipse.swt.SWTException: Graphic is disposed
at org.eclipse.swt.SWT.error (SWT. java:4282)
at org.eclipse.swt.SWT.error (SWT. java:4197)
at org.eclipse.swt.SWT.error (SWT. java:4168)
at org.eclipse.swt.graphics.Image.getBounds (Image. java:1164)
at org.eclipse.swt.custom.CTabFolderRenderer.computeSize (CTabFolderRenderer. java:286)
at org.eclipse.swt.custom.CTabFolder.setItemSize (CTabFolder.java:2405)
at org.eclipse.swt.custom.CTabFolder.updateItems (CTabFolder.java:3347)
at org.eclipse.swt.custom.CTabFolder.showItem(CTabFolder. java:3217)
at org.eclipse.swt.custom.CTabFolder.setSelection (CTabFolder. java:2737)
at org.eclipse.ui.internal.presentations.PaneFolder.setSelection (PaneFolder. java:732)
at org.eclipse.ui.internal.presentations.defaultpresentation.DefaultTabFolder.setSelection (DefaultTabFolde
r.java:256)
at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select (PresentablePartFolder. java:282)
at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select (LeftToRightTabOrder. java:65)
at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart (TabbedStackPresentation.j
ava:473)
at org.eclipse.ui.internal.PartStack.refreshPresentationSelection (PartStack. java:1245)
at org.eclipse.ui.internal.PartStack.setSelection (PartStack.java:1198)
at org.eclipse.ui.internal.WorkbenchPage.internalBringToTop (WorkbenchPage.java:866)
at org.eclipse.ui.internal.WorkbenchPage.internalActivate (WorkbenchPage. java:690)
at org.eclipse.ui.internal.WorkbenchPage.activate (WorkbenchPage. java:663)
at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditorBatched (WorkbenchPage. java:2957)
at org.eclipse.ui.internal.WorkbenchPage.busyOpenEditor (WorkbenchPage. java:2850)
at org.eclipse.ui.internal.WorkbenchPage.access$11l (WorkbenchPage. java:2842)
at org.eclipse.ui.internal.WorkbenchPage$1l0.run (WorkbenchPage.java:2793)
at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)
at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2789)
at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2773)
at org.eclipse.ui.internal.WorkbenchPage.openEditor (WorkbenchPage.java:2756)
at eu.etaxonomy.taxeditor.editor.EditorUtil.open (EditorUtil. java:80)
at eu.etaxonomy.taxeditor.editor.EditorUtil.open(EditorUtil. java:131)
at eu.etaxonomy.taxeditor.editor.handler.OpenChecklistEditorHandler.open (OpenChecklistEditorHandler. java:4

at eu.etaxonomy.taxeditor.editor.handler.OpenChecklistEditorHandler.open (OpenChecklistEditorHandler. java:1l
at eu.etaxonomy.taxeditor.handler.defaultHandler.DefaultOpenHandlerBase.execute (DefaultOpenHandlerBase. jav
a:30)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService. java:169)

at eu.etaxonomy.taxeditor.view.CdmViewerContextMenu$CommandInvoker.widgetSelected (CdmViewerContextMenu. jav
a:109)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.java:110

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplauncher. java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)

#2 - 09/13/2016 03:37 PM - Patrick Plitzner

- Status changed from New to In Progress

#3 - 09/14/2016 08:04 AM - Patrick Plitzner

| added a property tester to check if the item can be shown depending on whether or not there is a bulk editor for the selection.

#4 - 09/14/2016 09:18 AM - Patrick Plitzner

I could only reproduce the last mentioned NPE once because | had not selected any areas. After selecting areas | could not reproduce this error
anymore.
New ticket for NPE issue -> #6084

#5 - 09/14/2016 09:25 AM - Patrick Plitzner
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor:commit:taxeditor|f3fb72fdaf40e993eeec1f606bfd88cacba06898.

#6 - 09/14/2016 09:26 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 50 to 0

#7 - 09/14/2016 03:24 PM - Andreas Miiller

The NameDescription NPE is not thrown anymore but | would like to first wait until the regression in #5616 is fixed until we can close this ticket,

because this regression was maybe triggered by our fix here.

#8 - 09/20/2016 04:48 PM - Andreas Miiller
- % Done changed from 0 to 80

#9 - 10/04/2016 12:50 PM - Andreas Miuller

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/issues/6084
https://dev.e-taxonomy.eu/redmine/issues/5616

- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 80 to 100

Though #5616 is not yet fully fixed | think we can close this ticket now.
